# Person module

Person module handling /person/ API calls.

class rachiopy.person.Person(authtoken: str, http_session=None, timeout=25)

  Person class with methods for /person/ API calls.

  get(user_id: str)

    Retrieve the information for a person entity.

    For more info of the content in the response see: https://rachio.readme.io/docs/publicpersonid

    Parameters:

      user_id (str) – Person’s unique id

    Returns:

      The return value is a tuple of (response, content), the first being and instance of the httplib2.Response class, the second being a string that contains the response entity body (Python object if it contains JSON).

    Return type:

      tuple

  info()

    Retrieve the id for the person entity currently logged in.

    For more info of the content in the response see: https://rachio.readme.io/docs/publicpersoninfo

    Returns:

      The return value is a tuple of (response, content), the first being and instance of the httplib2.Response class, the second being a string that contains the response entity body (Python object if it contains JSON).

    Return type:

      tuple